CustomAttributesControllerUpdateCustomAttribute Method

PUT /CustomAttributes/{id} Update a custom attribute, as well as the associated token.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpPutAttribute]
[ActionNameAttribute("Index")]
public IActionResult UpdateCustomAttribute(
	Guid id,
	[FromBodyAttribute] CustomAttributeInfoData customAttributeInfoData,
	Guid? sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the account to be updated.
customAttributeInfoData
Type: Dundas.BI.WebApi.ModelsCustomAttributeInfoData
The attribute object to be updated.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: IActionResult
A CustomAttributeInfo object, or a status code indicating the problem.
See Also